octonet - Segnalazione #162

Altra eccezione nell'edit del cluster, quando si ha un host con nome vuoto probabilmente
01/19/2017 04:40 PM - Mark Caglienzi

Status: Chiuso Start date: 01/19/2017
Priority: Normale Due date:

Assignee: Mark Caglienzi % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

Eccezione nell'edit di cluster (secondo me dovuta sempre al problema della creazione di un host con nome vuoto...da indagare per
evitare problemi)

Environment:

Request Method: GET
Request URL: http://127.0.0.1:8000/host/group/edit/paperopoli

Django Version: 1.8.8

Python Version: 3.5.3

Installed Applications:
['django.contrib.sessions',
'django.contrib.messages’,
'whitenoise.runserver_nostatic',
'django.contrib.staticfiles',
'octonet',
'hostqueue.apps.HostQueue',
'firewall.apps.Firewall',
'dhcp.apps.Dhcp',
'dansguardian.apps.DansGuardian',
'host .apps.Host',
'polygen.apps.Polygen',
'upgrade.apps.Upgrade',
'asterisk.apps.Asterisk',
'samba.apps.Samba',
'users.apps.Users',
'script.apps.Script’',
'quota.apps.Quota',
'printers.apps.Printers’',
'auth.apps.Auth']

Installed Middleware:
['django.middleware.security.SecurityMiddleware',
'whitenoise.middleware.WhiteNoiseMiddleware',

'django.
'django.
'django.
'django.

contrib.sessions.middleware.SessionMiddleware',
middleware.common.CommonMiddleware',
middleware.csrf.CsrfViewMiddleware',
middleware.locale.LocaleMiddleware',

'octonet.middleware.AuthenticationMiddleware',
'django.contrib.messages.middleware.MessageMiddleware',
'django.middleware.clickjacking.XFrameOptionsMiddleware']

Traceback:

File "/home/mark/truelite/FUSS/octonet/django/core/handlers/base.py" in get_response
132.

File "/home/mark/truelite/FUSS/octonet/django/views/generic/base.py" in view

response = wrapped_callback (request, *callback_args, **callback_kwargs)

71. return self.dispatch(request, *args, **kwargs)
File "/home/mark/truelite/FUSS/octonet/host/views.py" in dispatch
100. return super () .dispatch(*args, **kwargs)

File "/home/mark/truelite/FUSS/octonet/octonet/mixins.py" in dispatch

105. return super () .dispatch(request, *args, **kw)
File "/home/mark/truelite/FUSS/octonet/host/views.py" in dispatch
25. return super () .dispatch(*args, **kwargs)
File "/home/mark/truelite/FUSS/octonet/django/views/generic/base.py" in dispatch

89. return handler (request, *args, **kwargs)
File "/home/mark/truelite/FUSS/octonet/django/views/generic/base.py" in get

158. context = self.get_context_data (**kwargs)
File "/home/mark/truelite/FUSS/octonet/host/views.py" in get_context_data

128. context['hosts_with_logged_user'] = len([x for x in hosts if x['logged_user']])
File "/home/mark/truelite/FUSS/octonet/host/views.py" in <listcomp>

128. context ['hosts_with_logged_user'] = len([x for x in hosts if x['logged_user']])

Exception Type: TypeError at /host/group/edit/paperopoli
Exception Value: list indices must be integers or slices, not str

History

#1 - 01/19/2017 04:46 PM - Mark Caglienzi

- Status changed from Nuovo to In elaborazione

#2 - 01/23/2017 11:06 AM - Mark Caglienzi

- Status changed from In elaborazione to Chiuso

Stamattina non lo riesco pil a riprodurre (e in effetti era un bug ben strano...)

Lo chiudo e se dovesse ricapitare si puo riaprire il ticket, o aprirne un altro in alternativa.
